//Verilog HDL for "ID_CEPC", "ID_TriggerCompare8b" "functional"
`timescale 1ns / 1ns

module ID_TriggerCompare8b ( clk,instmp, trgstmp, trglatency, match, error);
input clk;
input signed [7:0]instmp;
input signed [7:0]trgstmp;
input signed [7:0]trglatency;
input signed [7:0]error;
output match;

reg match;

always @(posedge clk)
begin
	if(trgstmp >= instmp)
	begin
		if(trgstmp - instmp <= error)
		begin
			match <=1;
		end
		else
		begin
			match <=0;
		end
	end
	else
	begin
		if(instmp - trgstmp <= error)
		begin
			match <=1;
		end
		else
		begin
			match <=0;
		end
	end	
end

endmodule
