//Verilog HDL for "TETPIX_v1", "FIFOController_chip" "netlist"



module FIFOController_chip ( rstb, addr_wr, addr_rd, wr_req, rd_req, clk, 
        wr_enb, fifo_full, fifo_empty, datain, data_wr );
  output [6:0] addr_wr;
  output [6:0] addr_rd;
  input [31:0] datain;
  output [31:0] data_wr;
  input rstb, wr_req, rd_req, clk;
  output wr_enb, fifo_full, fifo_empty;
  wire   M26, M27, M28, M29, M30, M31, M33, M34, M35, M36, M37, M38, M43, M44,
         M45, M46, N47, M48, M50, M51, M52, M53, M54, M55, M175, n1, n2, n3,
         n5, n9, n10, n12, n13, n15, n16, n17, n18, n19, n20, n22, n24, n25,
         n26, n27, n28, n29, n30, n32, n33, n34, n35, n36, n37, n38, n39, n40,
         n41, n42, n43, n44, n45, n46, n47, n48, n49, n50, n51, n52, n53, n54,
         n55, n56, n57, n58, n59, n60, n61, n62, n63, n64, n65, n66, n67, n68,
         n69, n70, n71, n72, n73, n74, n75, n76, n77, n78, n79, n80, n81, n82,
         n83, n84, n85, n86, n87, n88, n89, n91, n92, n93, n94, n95, n96, n97,
         n98, n99, n100, n101, n102, n103, n104, n105, n106, n107, n108, n109,
         n110, n111, n112, n113, n114, n115, n116, n117, n118, n119, n120,
         n121, n122, n123, n124, n125, n126, n127, n128, n129, n130, n131,
         n132, n133, n134, n135, n136, n137, n138, n139, n140, n141, n142,
         n143, n144, n145, n146, n147, \r76/carry[6] , \r76/carry[5] ,
         \r76/carry[4] , \r76/carry[3] , \r76/carry[2] , \r74/carry[6] ,
         \r74/carry[5] , \r74/carry[4] , \r74/carry[3] , \r74/carry[2] ,
         \r73/carry[6] , \r73/carry[5] , \r73/carry[4] , \r73/carry[3] ,
         \r73/carry[2] , n149, n150, n151, n152, n153, n154, n155, n156, n157,
         n158, n159, n160, n161, n162, n163, n164, n165, n166, n167, n168,
         n169, n170, n171, n172, n173, n174, n175, n176, n177, n178, n179,
         n180, n181, n182, n183, n185, n186, n187, n188, n189, n190, n191;
  wire   [6:0] cnt;
  assign fifo_full = M175;

  OAI211X2 U57 ( .A0(n180), .A1(n3), .B0(n24), .C0(n25), .Y(n12) );
  DFFRX1 rd_req_detected_reg ( .D(n145), .CK(n183), .RN(rstb), .Q(n170), .QN(
        n91) );
  DFFRX1 \data_wr_reg[24]  ( .D(n107), .CK(n183), .RN(rstb), .Q(data_wr[24]), 
        .QN(n74) );
  DFFRX1 \data_wr_reg[25]  ( .D(n106), .CK(n183), .RN(rstb), .Q(data_wr[25]), 
        .QN(n75) );
  DFFRX1 \data_wr_reg[26]  ( .D(n105), .CK(n183), .RN(rstb), .Q(data_wr[26]), 
        .QN(n76) );
  DFFRX1 \data_wr_reg[27]  ( .D(n104), .CK(n183), .RN(rstb), .Q(data_wr[27]), 
        .QN(n77) );
  DFFRX1 \data_wr_reg[28]  ( .D(n103), .CK(n183), .RN(rstb), .Q(data_wr[28]), 
        .QN(n78) );
  DFFRX1 \data_wr_reg[29]  ( .D(n102), .CK(n183), .RN(rstb), .Q(data_wr[29]), 
        .QN(n79) );
  DFFRX1 \data_wr_reg[30]  ( .D(n101), .CK(n183), .RN(rstb), .Q(data_wr[30]), 
        .QN(n81) );
  DFFRX1 \data_wr_reg[31]  ( .D(n100), .CK(n183), .RN(rstb), .Q(data_wr[31]), 
        .QN(n82) );
  DFFRX1 \addr_rd_reg[6]  ( .D(n138), .CK(n183), .RN(rstb), .Q(addr_rd[6]), 
        .QN(n43) );
  DFFRX1 \data_wr_reg[0]  ( .D(n131), .CK(n183), .RN(rstb), .Q(data_wr[0]), 
        .QN(n58) );
  DFFRX1 \data_wr_reg[1]  ( .D(n130), .CK(n183), .RN(rstb), .Q(data_wr[1]), 
        .QN(n69) );
  DFFRX1 \data_wr_reg[2]  ( .D(n129), .CK(n183), .RN(rstb), .Q(data_wr[2]), 
        .QN(n80) );
  DFFRX1 \data_wr_reg[3]  ( .D(n128), .CK(n183), .RN(rstb), .Q(data_wr[3]), 
        .QN(n83) );
  DFFRX1 \data_wr_reg[4]  ( .D(n127), .CK(n183), .RN(rstb), .Q(data_wr[4]), 
        .QN(n84) );
  DFFRX1 \data_wr_reg[5]  ( .D(n126), .CK(n183), .RN(rstb), .Q(data_wr[5]), 
        .QN(n85) );
  DFFRX1 \data_wr_reg[6]  ( .D(n125), .CK(n183), .RN(rstb), .Q(data_wr[6]), 
        .QN(n86) );
  DFFRX1 \data_wr_reg[7]  ( .D(n124), .CK(n183), .RN(rstb), .Q(data_wr[7]), 
        .QN(n87) );
  DFFRX1 \data_wr_reg[8]  ( .D(n123), .CK(n183), .RN(rstb), .Q(data_wr[8]), 
        .QN(n88) );
  DFFRX1 \data_wr_reg[9]  ( .D(n122), .CK(n183), .RN(rstb), .Q(data_wr[9]), 
        .QN(n89) );
  DFFRX1 \data_wr_reg[10]  ( .D(n121), .CK(n183), .RN(rstb), .Q(data_wr[10]), 
        .QN(n59) );
  DFFRX1 \data_wr_reg[11]  ( .D(n120), .CK(n183), .RN(rstb), .Q(data_wr[11]), 
        .QN(n60) );
  DFFRX1 \data_wr_reg[12]  ( .D(n119), .CK(n183), .RN(rstb), .Q(data_wr[12]), 
        .QN(n61) );
  DFFRX1 \data_wr_reg[13]  ( .D(n118), .CK(n183), .RN(rstb), .Q(data_wr[13]), 
        .QN(n62) );
  DFFRX1 \data_wr_reg[14]  ( .D(n117), .CK(n183), .RN(rstb), .Q(data_wr[14]), 
        .QN(n63) );
  DFFRX1 \data_wr_reg[15]  ( .D(n116), .CK(n183), .RN(rstb), .Q(data_wr[15]), 
        .QN(n64) );
  DFFRX1 \data_wr_reg[16]  ( .D(n115), .CK(n183), .RN(rstb), .Q(data_wr[16]), 
        .QN(n65) );
  DFFRX1 \data_wr_reg[17]  ( .D(n114), .CK(n183), .RN(rstb), .Q(data_wr[17]), 
        .QN(n66) );
  DFFRX1 \data_wr_reg[18]  ( .D(n113), .CK(n183), .RN(rstb), .Q(data_wr[18]), 
        .QN(n67) );
  DFFRX1 \data_wr_reg[19]  ( .D(n112), .CK(n183), .RN(rstb), .Q(data_wr[19]), 
        .QN(n68) );
  DFFRX1 \data_wr_reg[20]  ( .D(n111), .CK(n183), .RN(rstb), .Q(data_wr[20]), 
        .QN(n70) );
  DFFRX1 \data_wr_reg[21]  ( .D(n110), .CK(n183), .RN(rstb), .Q(data_wr[21]), 
        .QN(n71) );
  DFFRX1 \data_wr_reg[22]  ( .D(n109), .CK(n183), .RN(rstb), .Q(data_wr[22]), 
        .QN(n72) );
  DFFRX1 \data_wr_reg[23]  ( .D(n108), .CK(n183), .RN(rstb), .Q(data_wr[23]), 
        .QN(n73) );
  DFFRX1 \addr_rd_reg[1]  ( .D(n143), .CK(n183), .RN(rstb), .Q(addr_rd[1]), 
        .QN(n38) );
  DFFRX1 \addr_rd_reg[2]  ( .D(n142), .CK(n183), .RN(rstb), .Q(addr_rd[2]), 
        .QN(n39) );
  DFFRX1 \addr_rd_reg[3]  ( .D(n141), .CK(n183), .RN(rstb), .Q(addr_rd[3]), 
        .QN(n40) );
  DFFRX1 \addr_rd_reg[4]  ( .D(n140), .CK(n183), .RN(rstb), .Q(addr_rd[4]), 
        .QN(n41) );
  DFFRX1 \addr_rd_reg[5]  ( .D(n139), .CK(n183), .RN(rstb), .Q(addr_rd[5]), 
        .QN(n42) );
  DFFRX1 \addr_rd_reg[0]  ( .D(n144), .CK(n183), .RN(rstb), .Q(addr_rd[0]), 
        .QN(n37) );
  DFFRX1 \cnt_reg[3]  ( .D(n133), .CK(n183), .RN(rstb), .Q(cnt[3]), .QN(n54)
         );
  DFFRX1 \cnt_reg[4]  ( .D(n132), .CK(n183), .RN(rstb), .Q(cnt[4]), .QN(n55)
         );
  DFFRX1 \cnt_reg[6]  ( .D(n146), .CK(n183), .RN(rstb), .Q(cnt[6]), .QN(n57)
         );
  DFFRX1 \cnt_reg[2]  ( .D(n134), .CK(n183), .RN(rstb), .Q(cnt[2]), .QN(n53)
         );
  DFFRX1 \cnt_reg[1]  ( .D(n135), .CK(n183), .RN(rstb), .Q(cnt[1]), .QN(n52)
         );
  DFFRX1 \cnt_reg[0]  ( .D(n137), .CK(n183), .RN(rstb), .Q(cnt[0]), .QN(n51)
         );
  ADDHXL \r76/U1_1_4  ( .A(addr_rd[4]), .B(\r76/carry[4] ), .CO(\r76/carry[5] ), .S(M53) );
  ADDHXL \r73/U1_1_4  ( .A(cnt[4]), .B(\r73/carry[4] ), .CO(\r73/carry[5] ), 
        .S(M29) );
  ADDHXL \r74/U1_1_4  ( .A(addr_wr[4]), .B(\r74/carry[4] ), .CO(\r74/carry[5] ), .S(M36) );
  ADDHXL \r76/U1_1_3  ( .A(addr_rd[3]), .B(\r76/carry[3] ), .CO(\r76/carry[4] ), .S(M52) );
  ADDHXL \r73/U1_1_3  ( .A(cnt[3]), .B(\r73/carry[3] ), .CO(\r73/carry[4] ), 
        .S(M28) );
  ADDHXL \r74/U1_1_3  ( .A(addr_wr[3]), .B(\r74/carry[3] ), .CO(\r74/carry[4] ), .S(M35) );
  ADDHXL \r76/U1_1_2  ( .A(addr_rd[2]), .B(\r76/carry[2] ), .CO(\r76/carry[3] ), .S(M51) );
  ADDHXL \r74/U1_1_2  ( .A(addr_wr[2]), .B(\r74/carry[2] ), .CO(\r74/carry[3] ), .S(M34) );
  ADDHXL \r73/U1_1_2  ( .A(cnt[2]), .B(\r73/carry[2] ), .CO(\r73/carry[3] ), 
        .S(M27) );
  ADDHXL \r76/U1_1_5  ( .A(addr_rd[5]), .B(\r76/carry[5] ), .CO(\r76/carry[6] ), .S(M54) );
  ADDHXL \r74/U1_1_5  ( .A(addr_wr[5]), .B(\r74/carry[5] ), .CO(\r74/carry[6] ), .S(M37) );
  ADDHXL \r76/U1_1_1  ( .A(addr_rd[1]), .B(addr_rd[0]), .CO(\r76/carry[2] ), 
        .S(M50) );
  ADDHXL \r74/U1_1_1  ( .A(addr_wr[1]), .B(addr_wr[0]), .CO(\r74/carry[2] ), 
        .S(M33) );
  ADDHXL \r73/U1_1_5  ( .A(cnt[5]), .B(\r73/carry[5] ), .CO(\r73/carry[6] ), 
        .S(M30) );
  ADDHXL \r73/U1_1_1  ( .A(cnt[1]), .B(cnt[0]), .CO(\r73/carry[2] ), .S(M26)
         );
  DFFRX1 \cnt_reg[5]  ( .D(n136), .CK(n183), .RN(rstb), .Q(cnt[5]), .QN(n56)
         );
  DFFRX2 \addr_wr_reg[6]  ( .D(n93), .CK(n183), .RN(rstb), .Q(addr_wr[6]), 
        .QN(n50) );
  DFFRX2 \addr_wr_reg[1]  ( .D(n98), .CK(n183), .RN(rstb), .Q(addr_wr[1]), 
        .QN(n45) );
  DFFRX2 \addr_wr_reg[2]  ( .D(n97), .CK(n183), .RN(rstb), .Q(addr_wr[2]), 
        .QN(n46) );
  DFFRX2 \addr_wr_reg[3]  ( .D(n96), .CK(n183), .RN(rstb), .Q(addr_wr[3]), 
        .QN(n47) );
  DFFRX2 \addr_wr_reg[4]  ( .D(n95), .CK(n183), .RN(rstb), .Q(addr_wr[4]), 
        .QN(n48) );
  DFFRX2 \addr_wr_reg[5]  ( .D(n94), .CK(n183), .RN(rstb), .Q(addr_wr[5]), 
        .QN(n49) );
  DFFRX2 \addr_wr_reg[0]  ( .D(n99), .CK(n183), .RN(rstb), .Q(addr_wr[0]), 
        .QN(n44) );
  DFFSX1 wr_enb_reg ( .D(n147), .CK(n183), .SN(rstb), .Q(wr_enb), .QN(n92) );
  NOR2X6 U97 ( .A(n175), .B(n149), .Y(n15) );
  NOR2X6 U98 ( .A(n175), .B(n152), .Y(n157) );
  OAI211X2 U99 ( .A0(n1), .A1(n158), .B0(n3), .C0(wr_req), .Y(n161) );
  NOR2X8 U100 ( .A(n154), .B(n155), .Y(n27) );
  NOR2BX2 U101 ( .AN(n91), .B(n182), .Y(n173) );
  INVX20 U102 ( .A(rd_req), .Y(n182) );
  AND2X4 U103 ( .A(M30), .B(n168), .Y(n162) );
  NOR2X8 U104 ( .A(n175), .B(n156), .Y(n168) );
  INVX12 U105 ( .A(n30), .Y(n172) );
  OAI211X4 U106 ( .A0(n1), .A1(n174), .B0(n3), .C0(wr_req), .Y(n30) );
  NOR2X4 U107 ( .A(n28), .B(n29), .Y(n154) );
  OR4X4 U108 ( .A(n179), .B(n44), .C(n45), .D(n46), .Y(n29) );
  OR4X1 U109 ( .A(n47), .B(n48), .C(n49), .D(n50), .Y(n28) );
  NAND2X6 U110 ( .A(rd_req), .B(n159), .Y(n3) );
  AND2X2 U111 ( .A(N47), .B(n157), .Y(n163) );
  NOR2X2 U112 ( .A(n180), .B(rd_req), .Y(n166) );
  INVX3 U113 ( .A(n156), .Y(n179) );
  OA21X2 U114 ( .A0(n33), .A1(n34), .B0(n160), .Y(n32) );
  CLKBUFX6 U115 ( .A(n181), .Y(n177) );
  NOR2BX1 U116 ( .AN(n91), .B(n182), .Y(n174) );
  NAND2X2 U117 ( .A(n165), .B(n16), .Y(n136) );
  NAND2X1 U118 ( .A(n164), .B(cnt[5]), .Y(n165) );
  OAI21X1 U119 ( .A0(n52), .A1(n171), .B0(n20), .Y(n135) );
  NAND3X2 U120 ( .A(n10), .B(n180), .C(n173), .Y(n25) );
  INVX16 U121 ( .A(n176), .Y(n175) );
  OR2X1 U122 ( .A(n22), .B(n182), .Y(n149) );
  INVX1 U123 ( .A(n5), .Y(n178) );
  OA21X1 U124 ( .A0(wr_req), .A1(n10), .B0(n158), .Y(n150) );
  OA21XL U125 ( .A0(wr_req), .A1(n10), .B0(n158), .Y(n160) );
  NOR2BX4 U126 ( .AN(n91), .B(n182), .Y(n158) );
  OAI21X1 U127 ( .A0(n57), .A1(n176), .B0(n13), .Y(n146) );
  AOI22X1 U128 ( .A0(M31), .A1(n168), .B0(M48), .B1(n157), .Y(n13) );
  NOR2XL U129 ( .A(n22), .B(n182), .Y(n151) );
  CLKINVX1 U130 ( .A(n151), .Y(n152) );
  AND2XL U131 ( .A(cnt[0]), .B(n175), .Y(n153) );
  OR2X2 U132 ( .A(n153), .B(n169), .Y(n137) );
  INVX8 U133 ( .A(n177), .Y(n155) );
  BUFX6 U134 ( .A(n2), .Y(n156) );
  OAI21X1 U135 ( .A0(n55), .A1(n176), .B0(n17), .Y(n132) );
  BUFX12 U136 ( .A(n12), .Y(n176) );
  OAI21X4 U137 ( .A0(n166), .A1(n22), .B0(n1), .Y(n24) );
  CLKINVX20 U138 ( .A(wr_req), .Y(n180) );
  INVX3 U139 ( .A(n161), .Y(n181) );
  AND2X2 U140 ( .A(n91), .B(n92), .Y(n159) );
  NOR2X2 U141 ( .A(n162), .B(n163), .Y(n16) );
  OAI21X1 U142 ( .A0(n53), .A1(n171), .B0(n19), .Y(n134) );
  INVXL U143 ( .A(n176), .Y(n164) );
  NOR2X1 U144 ( .A(n180), .B(rd_req), .Y(n26) );
  OAI21X1 U145 ( .A0(n54), .A1(n176), .B0(n18), .Y(n133) );
  CLKAND2X12 U146 ( .A(wr_req), .B(n170), .Y(n22) );
  AO22X4 U147 ( .A0(n185), .A1(n168), .B0(n185), .B1(n15), .Y(n169) );
  OAI21XL U148 ( .A0(wr_req), .A1(n10), .B0(n158), .Y(n9) );
  OAI211XL U149 ( .A0(n1), .A1(n156), .B0(n3), .C0(n178), .Y(n147) );
  NOR2BXL U150 ( .AN(n91), .B(n182), .Y(n167) );
  CLKINVX1 U151 ( .A(n10), .Y(fifo_empty) );
  NAND2X1 U152 ( .A(n189), .B(n186), .Y(n190) );
  NOR4X1 U153 ( .A(n52), .B(n53), .C(n51), .D(n36), .Y(M175) );
  OR4X1 U154 ( .A(n57), .B(n56), .C(n55), .D(n54), .Y(n36) );
  NAND4X1 U155 ( .A(n56), .B(n55), .C(n57), .D(n35), .Y(n10) );
  AND4X1 U156 ( .A(n51), .B(n52), .C(n53), .D(n54), .Y(n35) );
  OAI32X1 U157 ( .A0(n167), .A1(n92), .A2(n179), .B0(n182), .B1(wr_req), .Y(n5) );
  OR4X1 U158 ( .A(n40), .B(n41), .C(n42), .D(n43), .Y(n33) );
  OR4X1 U159 ( .A(n180), .B(n37), .C(n38), .D(n39), .Y(n34) );
  OAI21XL U160 ( .A0(n91), .A1(n182), .B0(n9), .Y(n145) );
  OAI2BB2XL U161 ( .B0(n43), .B1(n150), .A0N(M55), .A1N(n32), .Y(n138) );
  XOR2X1 U162 ( .A(\r76/carry[6] ), .B(addr_rd[6]), .Y(M55) );
  OAI2BB2XL U163 ( .B0(n42), .B1(n150), .A0N(M54), .A1N(n32), .Y(n139) );
  OAI2BB2XL U164 ( .B0(n41), .B1(n150), .A0N(M53), .A1N(n32), .Y(n140) );
  OAI2BB2XL U165 ( .B0(n40), .B1(n150), .A0N(M52), .A1N(n32), .Y(n141) );
  OAI2BB2XL U166 ( .B0(n39), .B1(n150), .A0N(M51), .A1N(n32), .Y(n142) );
  OAI2BB2XL U167 ( .B0(n38), .B1(n150), .A0N(M50), .A1N(n32), .Y(n143) );
  OAI2BB2XL U168 ( .B0(n37), .B1(n150), .A0N(n37), .A1N(n32), .Y(n144) );
  AOI22X1 U169 ( .A0(M27), .A1(n168), .B0(M44), .B1(n15), .Y(n19) );
  OAI2BB1X1 U170 ( .A0N(n187), .A1N(cnt[2]), .B0(n188), .Y(M44) );
  AOI22X1 U171 ( .A0(M26), .A1(n168), .B0(M43), .B1(n15), .Y(n20) );
  OAI2BB1X1 U172 ( .A0N(cnt[0]), .A1N(cnt[1]), .B0(n187), .Y(M43) );
  XOR2X1 U173 ( .A(cnt[6]), .B(n191), .Y(M48) );
  XOR2X1 U174 ( .A(\r73/carry[6] ), .B(cnt[6]), .Y(M31) );
  AOI22X1 U175 ( .A0(M29), .A1(n168), .B0(M46), .B1(n157), .Y(n17) );
  OAI21XL U176 ( .A0(n189), .A1(n186), .B0(n190), .Y(M46) );
  AOI22X1 U177 ( .A0(M28), .A1(n168), .B0(M45), .B1(n157), .Y(n18) );
  AO21X1 U178 ( .A0(n188), .A1(cnt[3]), .B0(n189), .Y(M45) );
  XNOR2X1 U179 ( .A(cnt[5]), .B(n190), .Y(N47) );
  OAI2BB2XL U180 ( .B0(n50), .B1(n172), .A0N(M38), .A1N(n27), .Y(n93) );
  XOR2X1 U181 ( .A(\r74/carry[6] ), .B(addr_wr[6]), .Y(M38) );
  OAI2BB2XL U182 ( .B0(n49), .B1(n172), .A0N(M37), .A1N(n27), .Y(n94) );
  OAI2BB2XL U183 ( .B0(n48), .B1(n172), .A0N(M36), .A1N(n27), .Y(n95) );
  OAI2BB2XL U184 ( .B0(n47), .B1(n172), .A0N(M35), .A1N(n27), .Y(n96) );
  OAI2BB2XL U185 ( .B0(n46), .B1(n172), .A0N(M34), .A1N(n27), .Y(n97) );
  OAI2BB2XL U186 ( .B0(n45), .B1(n172), .A0N(M33), .A1N(n27), .Y(n98) );
  OAI2BB2XL U187 ( .B0(n44), .B1(n172), .A0N(n44), .A1N(n27), .Y(n99) );
  OAI2BB2XL U188 ( .B0(n82), .B1(n172), .A0N(datain[31]), .A1N(n172), .Y(n100)
         );
  OAI2BB2XL U189 ( .B0(n81), .B1(n172), .A0N(datain[30]), .A1N(n172), .Y(n101)
         );
  OAI2BB2XL U190 ( .B0(n79), .B1(n172), .A0N(datain[29]), .A1N(n172), .Y(n102)
         );
  OAI2BB2XL U191 ( .B0(n78), .B1(n172), .A0N(datain[28]), .A1N(n172), .Y(n103)
         );
  OAI2BB2XL U192 ( .B0(n77), .B1(n172), .A0N(datain[27]), .A1N(n172), .Y(n104)
         );
  OAI2BB2XL U193 ( .B0(n76), .B1(n172), .A0N(datain[26]), .A1N(n172), .Y(n105)
         );
  OAI2BB2XL U194 ( .B0(n75), .B1(n172), .A0N(datain[25]), .A1N(n172), .Y(n106)
         );
  OAI2BB2XL U195 ( .B0(n66), .B1(n172), .A0N(datain[17]), .A1N(n172), .Y(n114)
         );
  OAI2BB2XL U196 ( .B0(n63), .B1(n172), .A0N(datain[14]), .A1N(n172), .Y(n117)
         );
  OAI2BB2XL U197 ( .B0(n61), .B1(n172), .A0N(datain[12]), .A1N(n177), .Y(n119)
         );
  OAI2BB2XL U198 ( .B0(n60), .B1(n172), .A0N(datain[11]), .A1N(n177), .Y(n120)
         );
  OAI2BB2XL U199 ( .B0(n59), .B1(n172), .A0N(datain[10]), .A1N(n177), .Y(n121)
         );
  OAI2BB2XL U200 ( .B0(n89), .B1(n172), .A0N(datain[9]), .A1N(n172), .Y(n122)
         );
  OAI2BB2XL U201 ( .B0(n88), .B1(n172), .A0N(datain[8]), .A1N(n172), .Y(n123)
         );
  OAI2BB2XL U202 ( .B0(n87), .B1(n172), .A0N(datain[7]), .A1N(n172), .Y(n124)
         );
  OAI2BB2XL U203 ( .B0(n86), .B1(n172), .A0N(datain[6]), .A1N(n172), .Y(n125)
         );
  OAI2BB2XL U204 ( .B0(n85), .B1(n172), .A0N(datain[5]), .A1N(n172), .Y(n126)
         );
  OAI2BB2XL U205 ( .B0(n84), .B1(n172), .A0N(datain[4]), .A1N(n172), .Y(n127)
         );
  OAI2BB2XL U206 ( .B0(n83), .B1(n172), .A0N(datain[3]), .A1N(n172), .Y(n128)
         );
  OAI2BB2XL U207 ( .B0(n80), .B1(n172), .A0N(datain[2]), .A1N(n172), .Y(n129)
         );
  OAI2BB2XL U208 ( .B0(n58), .B1(n172), .A0N(datain[0]), .A1N(n172), .Y(n131)
         );
  OAI2BB2XL U209 ( .B0(n74), .B1(n177), .A0N(datain[24]), .A1N(n172), .Y(n107)
         );
  OAI2BB2XL U210 ( .B0(n73), .B1(n177), .A0N(datain[23]), .A1N(n172), .Y(n108)
         );
  OAI2BB2XL U211 ( .B0(n72), .B1(n177), .A0N(datain[22]), .A1N(n172), .Y(n109)
         );
  OAI2BB2XL U212 ( .B0(n71), .B1(n177), .A0N(datain[21]), .A1N(n172), .Y(n110)
         );
  OAI2BB2XL U213 ( .B0(n70), .B1(n177), .A0N(datain[20]), .A1N(n172), .Y(n111)
         );
  OAI2BB2XL U214 ( .B0(n68), .B1(n177), .A0N(datain[19]), .A1N(n172), .Y(n112)
         );
  OAI2BB2XL U215 ( .B0(n67), .B1(n177), .A0N(datain[18]), .A1N(n172), .Y(n113)
         );
  OAI2BB2XL U216 ( .B0(n65), .B1(n177), .A0N(datain[16]), .A1N(n172), .Y(n115)
         );
  OAI2BB2XL U217 ( .B0(n64), .B1(n177), .A0N(datain[15]), .A1N(n172), .Y(n116)
         );
  OAI2BB2XL U218 ( .B0(n69), .B1(n177), .A0N(datain[1]), .A1N(n172), .Y(n130)
         );
  OAI2BB2XL U219 ( .B0(n62), .B1(n177), .A0N(datain[13]), .A1N(n177), .Y(n118)
         );
  NOR2X1 U220 ( .A(n188), .B(cnt[3]), .Y(n189) );
  NOR2X1 U221 ( .A(M175), .B(n92), .Y(n1) );
  NAND2BX1 U222 ( .AN(cnt[1]), .B(n185), .Y(n187) );
  NOR2X1 U223 ( .A(cnt[5]), .B(n190), .Y(n191) );
  CLKINVX1 U224 ( .A(cnt[0]), .Y(n185) );
  OR2X1 U225 ( .A(n187), .B(cnt[2]), .Y(n188) );
  CLKINVX1 U226 ( .A(cnt[4]), .Y(n186) );
  INVX4 U227 ( .A(clk), .Y(n183) );
  INVXL U228 ( .A(n175), .Y(n171) );
  NOR2X2 U229 ( .A(n26), .B(n22), .Y(n2) );
endmodule


