//Verilog HDL for "ID_CEPC", "ID_TriggerCompare8b" "functional"
`timescale 1ns / 1ns

module ID_TriggerCompare8b ( instmp, trgstmp, trglatency, match, error, realstmp, ifTrgstmpLinstmp);
input signed [7:0]instmp;
input signed [7:0]trgstmp;
input signed [7:0]trglatency;
input signed [7:0]error;
output match;
output signed ifTrgstmpLinstmp;
output signed [7:0]realstmp;

wire signed ifTrgstmpLinstmp;
wire signed [7:0]realstmp;

assign realstmp=trgstmp-trglatency;
assign match=(realstmp-instmp <= error) && (instmp-realstmp <= error);

endmodule
